Changeset 515 for ThirdParty/Glpk


Ignore:
Timestamp:
Aug 15, 2007 6:42:41 PM (12 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/branches/BSP/trunk/configure

    r508 r515  
    17881788  if test "$enable_doscompile" != no; then
    17891789     case $build in
    1790        *-cygwin*) ;;
    1791        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1792 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1790       *-cygwin* | *-mingw*) ;;
     1791       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1792echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    17931793   { (exit 1); exit 1; }; } ;;
    17941794     esac
     
    17981798fi;
    17991799 case "$enable_doscompile" in
    1800    msvc|mingw|no) ;;
     1800   mingw)
     1801     case $build in
     1802       *-mingw*) enable_doscompile=no ;;
     1803     esac
     1804     ;;
     1805   msvc|no) ;;
    18011806   yes) enable_doscompile=mingw ;;
    18021807   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    46334638*-*-irix6*)
    46344639  # Find out which ABI we are using.
    4635   echo '#line 4635 "configure"' > conftest.$ac_ext
     4640  echo '#line 4640 "configure"' > conftest.$ac_ext
    46364641  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46374642  (eval $ac_compile) 2>&5
     
    62326237
    62336238# Provide some information about the compiler.
    6234 echo "$as_me:6234:" \
     6239echo "$as_me:6239:" \
    62356240     "checking for Fortran 77 compiler version" >&5
    62366241ac_compiler=`set X $ac_compile; echo $2`
     
    72997304   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73007305   -e 's:$: $lt_compiler_flag:'`
    7301    (eval echo "\"\$as_me:7301: $lt_compile\"" >&5)
     7306   (eval echo "\"\$as_me:7306: $lt_compile\"" >&5)
    73027307   (eval "$lt_compile" 2>conftest.err)
    73037308   ac_status=$?
    73047309   cat conftest.err >&5
    7305    echo "$as_me:7305: \$? = $ac_status" >&5
     7310   echo "$as_me:7310: \$? = $ac_status" >&5
    73067311   if (exit $ac_status) && test -s "$ac_outfile"; then
    73077312     # The compiler can only warn and ignore the option if not recognized
     
    75677572   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75687573   -e 's:$: $lt_compiler_flag:'`
    7569    (eval echo "\"\$as_me:7569: $lt_compile\"" >&5)
     7574   (eval echo "\"\$as_me:7574: $lt_compile\"" >&5)
    75707575   (eval "$lt_compile" 2>conftest.err)
    75717576   ac_status=$?
    75727577   cat conftest.err >&5
    7573    echo "$as_me:7573: \$? = $ac_status" >&5
     7578   echo "$as_me:7578: \$? = $ac_status" >&5
    75747579   if (exit $ac_status) && test -s "$ac_outfile"; then
    75757580     # The compiler can only warn and ignore the option if not recognized
     
    76717676   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76727677   -e 's:$: $lt_compiler_flag:'`
    7673    (eval echo "\"\$as_me:7673: $lt_compile\"" >&5)
     7678   (eval echo "\"\$as_me:7678: $lt_compile\"" >&5)
    76747679   (eval "$lt_compile" 2>out/conftest.err)
    76757680   ac_status=$?
    76767681   cat out/conftest.err >&5
    7677    echo "$as_me:7677: \$? = $ac_status" >&5
     7682   echo "$as_me:7682: \$? = $ac_status" >&5
    76787683   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    76797684   then
     
    1001610021  lt_status=$lt_dlunknown
    1001710022  cat > conftest.$ac_ext <<EOF
    10018 #line 10018 "configure"
     10023#line 10023 "configure"
    1001910024#include "confdefs.h"
    1002010025
     
    1011610121  lt_status=$lt_dlunknown
    1011710122  cat > conftest.$ac_ext <<EOF
    10118 #line 10118 "configure"
     10123#line 10123 "configure"
    1011910124#include "confdefs.h"
    1012010125
     
    1246012465   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1246112466   -e 's:$: $lt_compiler_flag:'`
    12462    (eval echo "\"\$as_me:12462: $lt_compile\"" >&5)
     12467   (eval echo "\"\$as_me:12467: $lt_compile\"" >&5)
    1246312468   (eval "$lt_compile" 2>conftest.err)
    1246412469   ac_status=$?
    1246512470   cat conftest.err >&5
    12466    echo "$as_me:12466: \$? = $ac_status" >&5
     12471   echo "$as_me:12471: \$? = $ac_status" >&5
    1246712472   if (exit $ac_status) && test -s "$ac_outfile"; then
    1246812473     # The compiler can only warn and ignore the option if not recognized
     
    1256412569   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1256512570   -e 's:$: $lt_compiler_flag:'`
    12566    (eval echo "\"\$as_me:12566: $lt_compile\"" >&5)
     12571   (eval echo "\"\$as_me:12571: $lt_compile\"" >&5)
    1256712572   (eval "$lt_compile" 2>out/conftest.err)
    1256812573   ac_status=$?
    1256912574   cat out/conftest.err >&5
    12570    echo "$as_me:12570: \$? = $ac_status" >&5
     12575   echo "$as_me:12575: \$? = $ac_status" >&5
    1257112576   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1257212577   then
     
    1413414139   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1413514140   -e 's:$: $lt_compiler_flag:'`
    14136    (eval echo "\"\$as_me:14136: $lt_compile\"" >&5)
     14141   (eval echo "\"\$as_me:14141: $lt_compile\"" >&5)
    1413714142   (eval "$lt_compile" 2>conftest.err)
    1413814143   ac_status=$?
    1413914144   cat conftest.err >&5
    14140    echo "$as_me:14140: \$? = $ac_status" >&5
     14145   echo "$as_me:14145: \$? = $ac_status" >&5
    1414114146   if (exit $ac_status) && test -s "$ac_outfile"; then
    1414214147     # The compiler can only warn and ignore the option if not recognized
     
    1423814243   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423914244   -e 's:$: $lt_compiler_flag:'`
    14240    (eval echo "\"\$as_me:14240: $lt_compile\"" >&5)
     14245   (eval echo "\"\$as_me:14245: $lt_compile\"" >&5)
    1424114246   (eval "$lt_compile" 2>out/conftest.err)
    1424214247   ac_status=$?
    1424314248   cat out/conftest.err >&5
    14244    echo "$as_me:14244: \$? = $ac_status" >&5
     14249   echo "$as_me:14249: \$? = $ac_status" >&5
    1424514250   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1424614251   then
     
    1644516450   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1644616451   -e 's:$: $lt_compiler_flag:'`
    16447    (eval echo "\"\$as_me:16447: $lt_compile\"" >&5)
     16452   (eval echo "\"\$as_me:16452: $lt_compile\"" >&5)
    1644816453   (eval "$lt_compile" 2>conftest.err)
    1644916454   ac_status=$?
    1645016455   cat conftest.err >&5
    16451    echo "$as_me:16451: \$? = $ac_status" >&5
     16456   echo "$as_me:16456: \$? = $ac_status" >&5
    1645216457   if (exit $ac_status) && test -s "$ac_outfile"; then
    1645316458     # The compiler can only warn and ignore the option if not recognized
     
    1671316718   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1671416719   -e 's:$: $lt_compiler_flag:'`
    16715    (eval echo "\"\$as_me:16715: $lt_compile\"" >&5)
     16720   (eval echo "\"\$as_me:16720: $lt_compile\"" >&5)
    1671616721   (eval "$lt_compile" 2>conftest.err)
    1671716722   ac_status=$?
    1671816723   cat conftest.err >&5
    16719    echo "$as_me:16719: \$? = $ac_status" >&5
     16724   echo "$as_me:16724: \$? = $ac_status" >&5
    1672016725   if (exit $ac_status) && test -s "$ac_outfile"; then
    1672116726     # The compiler can only warn and ignore the option if not recognized
     
    1681716822   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681816823   -e 's:$: $lt_compiler_flag:'`
    16819    (eval echo "\"\$as_me:16819: $lt_compile\"" >&5)
     16824   (eval echo "\"\$as_me:16824: $lt_compile\"" >&5)
    1682016825   (eval "$lt_compile" 2>out/conftest.err)
    1682116826   ac_status=$?
    1682216827   cat out/conftest.err >&5
    16823    echo "$as_me:16823: \$? = $ac_status" >&5
     16828   echo "$as_me:16828: \$? = $ac_status" >&5
    1682416829   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1682516830   then
Note: See TracChangeset for help on using the changeset viewer.